> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Redeem

> Get a blink for redeem operations. Please note that the amount you redeem will be the amount of the stable coin you input, not the amount of the CRT token you will receive. Also there might be a small difference in the amount you receive due to the price of the stable coin and the CRT token and a withdrawal fee. Please check protocol documentation for more details.



## OpenAPI

````yaml /openapi/deficarrot.json get /v0/crt/redeem/{poolToken}
openapi: 3.1.1
info:
  title: Deficarrot API
  version: 0.0.1
servers:
  - url: https://deficarrot.dial.to/api
security: []
paths:
  /v0/crt/redeem/{poolToken}:
    get:
      tags:
        - Earn
      summary: Redeem
      description: >-
        Get a blink for redeem operations. Please note that the amount you
        redeem will be the amount of the stable coin you input, not the amount
        of the CRT token you will receive. Also there might be a small
        difference in the amount you receive due to the price of the stable coin
        and the CRT token and a withdrawal fee. Please check protocol
        documentation for more details.
      operationId: deficarrot.redeem.getRedeemBlink
      parameters:
        - name: poolToken
          in: path
          required: true
          schema:
            type: string
            description: Supported token address or label
            default: PYUSD
            example: PYUSD
          x-default: PYUSD
          example: PYUSD
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  label:
                    type: string
                  icon:
                    type: string
                  links:
                    type: object
                    properties:
                      actions:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              enum:
                                - transaction
                                - external-link
                            href:
                              type: string
                            label:
                              type: string
                            parameters:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  type:
                                    type: string
                                  label:
                                    type: string
                                required:
                                  - name
                                  - type
                                  - label
                          required:
                            - type
                            - href
                            - label
                    required:
                      - actions
                required:
                  - title
                  - description
                  - label
                  - icon
                  - links

````